Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher
Class RPCContext

    java.lang.Object
      com.ejie.r01f.rpcdispatcher.RPCContext

public class RPCContext
extends java.lang.Object

Contexto de una llamada RPC. Este objeto es el que se pasa al módulo RPC cuando se ejecuta una llamada a función

Field Summary
`boolean` | `absoluteRedirect`
`javax.servlet.ServletContext` | `application`
`boolean` | `includeRPCCallResultWrapperHeader`
`java.util.Stack` | `previousCallsResults`
`java.util.Map` | `protocolData`
`javax.servlet.http.HttpServletRequest` | `request`
`RequestParamParser` | `requestParamParser`
`javax.servlet.http.HttpServletResponse` | `response`
`java.lang.String` | `resultObectsToXMLMapFile`
`RPCCall` | `rpcCall`
`java.lang.String` | `targetPage`
`java.lang.String` | `threadName`
`java.lang.String` | `token`

Constructor Summary
`RPCContext()`

Method Summary
`java.lang.Object` | `getApplicationAttribute(java.lang.String attrName)` Obtienen un atributo del contexto de aplicacion
`java.lang.String` | `getProtocolData(java.lang.String attrName)` Obtiene un dato de protocolo
`java.lang.Object` | `getRequestAttribute(java.lang.String attrName)` Devuelve un atributo de la request
`java.lang.String` | `getRequestParameter(java.lang.String paramName)` Obtiene un valor de un parametro de la request
`javax.servlet.http.HttpSession` | `getSession(boolean createNewSession)` Obtiene la sesión
`java.lang.Object` | `getSessionAttribute(java.lang.String attrName)` Devuelve un atributo del contexto de la sessión de usuario
`void` | `invalidate()` Invalida el rpcContext
`java.lang.String` | `printDebugInfo()` Compone información de depuración
`void` | `removeSessionAttribute(java.lang.String attrName)` Elimina un atributo del contexto de la sessión de usuario
`void` | `setApplicationAttribute(java.lang.String attrName, java.lang.Object attr)` Establece un atributo en el contexto de la aplicación
`void` | `setProtocolData(java.lang.String attrName, java.lang.String attr)` Establece un dato de protocolo
`void` | `setRequestAttribute(java.lang.String attrName, java.lang.Object attr)` Estabece un atributo en la request
`void` | `setSessionAttribute(java.lang.String attrName, java.lang.Object attr)` Establece un atributo en el contexto de session de usuario
`void` | `throwRPCException(java.lang.Exception th)`
`void` | `throwRPCException(int errorCode, java.lang.String msg)`
`void` | `throwRPCException(int errorCode, java.lang.String msg, java.lang.Exception th)`
`void` | `throwRPCException(java.lang.String msg)`
`void` | `throwRPCException(java.lang.String msg, java.lang.Exception th)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rpcCall

    public RPCCall rpcCall

### application

    public javax.servlet.ServletContext application

### request

    public javax.servlet.http.HttpServletRequest request

### response

    public javax.servlet.http.HttpServletResponse response

### requestParamParser

    public RequestParamParser requestParamParser

### protocolData

    public java.util.Map protocolData

### previousCallsResults

    public java.util.Stack previousCallsResults

### token

    public java.lang.String token

### threadName

    public java.lang.String threadName

### targetPage

    public java.lang.String targetPage

### absoluteRedirect

    public boolean absoluteRedirect

### includeRPCCallResultWrapperHeader

    public boolean includeRPCCallResultWrapperHeader

### resultObectsToXMLMapFile

    public java.lang.String resultObectsToXMLMapFile

Constructor Detail

### RPCContext

    public RPCContext()

Method Detail

### getSession

    public javax.servlet.http.HttpSession getSession(boolean createNewSession)

  Obtiene la sesión

### invalidate

    public void invalidate()

  Invalida el rpcContext

### throwRPCException

    public void throwRPCException(java.lang.String msg)
                           throws RPCException

  Throws:
    `RPCException`

### throwRPCException

    public void throwRPCException(int errorCode,
                                  java.lang.String msg)
                           throws RPCException

  Throws:
    `RPCException`

### throwRPCException

    public void throwRPCException(java.lang.Exception th)
                           throws RPCException

  Throws:
    `RPCException`

### throwRPCException

    public void throwRPCException(java.lang.String msg,
                                  java.lang.Exception th)
                           throws RPCException

  Throws:
    `RPCException`

### throwRPCException

    public void throwRPCException(int errorCode,
                                  java.lang.String msg,
                                  java.lang.Exception th)
                           throws RPCException

  Throws:
    `RPCException`

### setProtocolData

    public void setProtocolData(java.lang.String attrName,
                                java.lang.String attr)

  Establece un dato de protocolo

  Parameters:
    `attrName` - Nombre del atributo
    `attr` - valor del atributo

### getProtocolData

    public java.lang.String getProtocolData(java.lang.String attrName)

  Obtiene un dato de protocolo

  Parameters:
    `attrName` - Nombre del atributo
  Returns:
    Valor del atributo

### setApplicationAttribute

    public void setApplicationAttribute(java.lang.String attrName,
                                        java.lang.Object attr)

  Establece un atributo en el contexto de la aplicación

  Parameters:
    `attrName` - Nombre del atributo
    `attr` - Valor del atributo

### getApplicationAttribute

    public java.lang.Object getApplicationAttribute(java.lang.String attrName)

  Obtienen un atributo del contexto de aplicacion

  Parameters:
    `attrName` - Nombre del atributo
  Returns:
    Valor del atributo

### setSessionAttribute

    public void setSessionAttribute(java.lang.String attrName,
                                    java.lang.Object attr)

  Establece un atributo en el contexto de session de usuario

  Parameters:
    `attrName` - Nombre del atributo
    `attr` - Valor del atributo

### getSessionAttribute

    public java.lang.Object getSessionAttribute(java.lang.String attrName)

  Devuelve un atributo del contexto de la sessión de usuario

  Parameters:
    `attrName` - Nombre del atributo
  Returns:
    El valor del atributo

### removeSessionAttribute

    public void removeSessionAttribute(java.lang.String attrName)

  Elimina un atributo del contexto de la sessión de usuario

  Parameters:
    `attrName` - Nombre del atributo a borrar

### setRequestAttribute

    public void setRequestAttribute(java.lang.String attrName,
                                    java.lang.Object attr)

  Estabece un atributo en la request

  Parameters:
    `attrName` - Nombre del atributo
    `attr` - Valor del atributo

### getRequestAttribute

    public java.lang.Object getRequestAttribute(java.lang.String attrName)

  Devuelve un atributo de la request

  Parameters:
    `attrName` - Nombre del atributo
  Returns:
    El valor del atributo

### getRequestParameter

    public java.lang.String getRequestParameter(java.lang.String paramName)

  Obtiene un valor de un parametro de la request

  Parameters:
    `paramName` - El nombre del parametro
  Returns:
    El valor del parametro

### printDebugInfo

    public java.lang.String printDebugInfo()

  Compone información de depuración

  Returns:
    Una cadena con info de depuración

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD